.m-select-from-list-01 {
  width: 100%;
  display: flex;
  flex-wrap: wrap;

  .box-action-info {
    margin-top: 0.4rem;

    > img {
      vertical-align: top;
      margin-right: 0.6rem;
    }

    .text-guide {
      font-size: 1.2rem;
      color: #39c9f9;
      font-weight: 600;
      display: inline-block;
    }
  }

  .popup-table {
    position: absolute;
    width: 400px;
    top: 0;
    left: 0;
    z-index: 1000;
    display: none;

    &::before {
      content: ' ';
      width: 0;
      height: 0;
      border-left: 5px solid transparent;
      border-right: 5px solid transparent;
      border-bottom: 10px solid #5cb9d8;
      position: absolute;
      bottom: 100%;
      left: var(--offset-left);
    }
  }

  table.question-table tbody tr.action {
    height: 55px;
  }
  table {
    table-layout: fixed;
    border-collapse: separate;
    thead tr th {
      &:nth-child(1) {
        width: 11rem;
        min-width: 11rem;
        max-width: 11rem;
      }
      &:nth-child(2) {
        width: 105px;
      }
      &:nth-child(3) {
        width: 170px;
      }
      &:nth-child(4) {
        width: 50px;
      }

      &.action {
        img {
          cursor: pointer;
        }
      }
    }

    tbody tr td {
      &:nth-child(1) {
        width: 11rem;
        min-width: 11rem;
        max-width: 11rem;
      }
      &:nth-child(3) {
        font-size: 1.4rem;
        font-weight: 400;
      }
      &.error {
        border-radius: 8px;
        border: 1px solid #dd3a09;
        // input {
        //   border-radius: 8px;
        //   border: 1px solid #dd3a09;
        // }
      }
      &.td-input {
        position: relative;
      }
      &.action {
        tr {
          height: 50px;
        }
      }

      input[type='text'] {
        border: 0 !important;
        box-sizing: border-box;
        border-radius: 8px;
        width: 100%;
      }

      .action {
        position: absolute;
        right: 1.4rem;
        top: 50%;
        transform: translateY(-50%);

        .ic-action {
          margin: 0 0.4rem;
        }
      }
    }
    .__content-toggle {
      display: flex;
      align-items: center;
      width: 11rem;
      justify-content: center;
      .__switcher {
        display: flex;
        position: relative;
        transform: unset;
        pointer-events: auto;
        left: unset;
        top: unset;
        .rs-toggle-presentation {
          background: #67ab8d;
          min-width: 50px;
          width: auto;
          height: 24px;
        }
      }
      .rs-toggle-checked {
        .rs-toggle-presentation {
          background: #f8c116;
        }
      }
      &.toggle-error {
        .rs-toggle-presentation {
          box-shadow: 0 0 0 0.15rem #dd3a09;
        }
      }
    }
    .add-new-answer {
      position: unset !important;
      pointer-events: auto;

      &::before {
        display: none;
      }
    }
  }

  .a-content-with-label {
    div[contenteditable='true'] {
      > input {
        user-select: none;
        cursor: pointer;
      }
    }
  }
  .form-error-message {
    color: #ff0018;
    margin-top: 0;
    font-size: 1.2rem;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    padding: 0 1rem 1rem 1rem;
  }
}
